petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatRestoreRowUpperTriangular

Disable calls to MatGetRow() for matrix in MATSBAIJ format.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestoreRowUpperTriangular(Mat mat)

Not Collective

### Input Parameters

mat -the matrix

### Notes

This routine should be called after you have finished MatGetRow/MatRestoreRow().

### See Also

MatGetRowUpperTriangular()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatRestoreRowUpperTriangular_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatRestoreRowUpperTriangular_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages